---
updatedAt: 2026-03-23T13:38:56.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Provision a User

Creates the user and returns an id, uid, marketplace information, and created_at parameters for the user.

POST /organizations/:org_id/users?token=:token

> 📘 Best Practice
>
> You should only provision a user when they're ready to connect a device. Provisioning users based on member files, app download, etc create unnecessary bloat in your database and ours!

The following table outlines the possible fields that can be expected in the API response.

| Name                     | Type   | Description                                                                                                                                                                                               |
| :----------------------- | :----- | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                       | string | Validic user ID                                                                                                                                                                                           |
| uid                      | string | Customer’s user identifier.                                                                                                                                                                               |
| marketplace > token      |        | Unique marketplace identifier.                                                                                                                                                                            |
| marketplace > url        | string | The user’s marketplace URL. Requesting this URL with the ‘Accept’ header as ‘application/json’ will provide a JSON representation of the marketplace. Otherwise an HTML representation will be presented. |
| mobile > token           | string | Unique identifier used to connect users to the Validic mobile solution.                                                                                                                                   |
| location > timezone      | string | Default user timezone. When retrieving data from a source that provides no UTC offset information the default timezone will be used to calculate the UTC offset.                                          |
| location > country\_code | string | User’s country identified as a two character country code using the ISO 3166-1 standard. Validic uses this information for integrations that provide data access based upon the user’s country.           |
| sources                  | string | List of sources the user has connected to including the connection time in UTC.                                                                                                                           |
| created\_at              | string | The date and time the resource was created.                                                                                                                                                               |
| updated\_at              | string | The date and time the resource was updated.                                                                                                                                                               |
| last\_processed\_at      | string | The date and time data was last processed for this source.                                                                                                                                                |

**Supported Timezones**\
Validic supports over 400 Olson format timezones. When setting a default timezone for a user the value must match one of the timezones listed in the table found in our support section.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users?token={token}": {
      "post": {
        "summary": "Provision a User",
        "description": "Creates the user and returns an id, uid, marketplace information, and created_at parameters for the user.\n\nPOST /organizations/:org_id/users?token=:token",
        "operationId": "provision-a-user",
        "parameters": [
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "token",
            "in": "query",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "uid": {
                    "type": "string",
                    "description": "The UID you defined when provisioning the client."
                  },
                  "RAW_BODY": {
                    "type": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "id": "598518fd8a5da50001578157",
                      "uid": "277040620-wcwflair",
                      "marketplace": {
                        "token": "c7ff3922e30c048f6e2fbd099ee1358d5871e3861419c16d195b0fc313b09c47",
                        "url": "https://syncmydevice.com/?token=c7ff3922e30c048f6e2fbd099ee1358d5871e3861419c16d195b0fc313b09c47"
                      },
                      "mobile": {
                        "token": "0a811c9b0cf0af663eda6e2b496a3b9c"
                      },
                      "location": {
                        "timezone": "America/New_York",
                        "country_code": "US"
                      },
                      "sources": [],
                      "status": "active",
                      "created_at": "2026-01-05T01:01:49Z",
                      "updated_at": "2026-01-05T01:01:49Z"
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "598518fd8a5da50001578157"
                    },
                    "uid": {
                      "type": "string",
                      "example": "277040620-wcwflair"
                    },
                    "marketplace": {
                      "type": "object",
                      "properties": {
                        "token": {
                          "type": "string",
                          "example": "c7ff3922e30c048f6e2fbd099ee1358d5871e3861419c16d195b0fc313b09c47"
                        },
                        "url": {
                          "type": "string",
                          "example": "https://syncmydevice.com/?token=c7ff3922e30c048f6e2fbd099ee1358d5871e3861419c16d195b0fc313b09c47"
                        }
                      }
                    },
                    "mobile": {
                      "type": "object",
                      "properties": {
                        "token": {
                          "type": "string",
                          "example": "0a811c9b0cf0af663eda6e2b496a3b9c"
                        }
                      }
                    },
                    "location": {
                      "type": "object",
                      "properties": {
                        "timezone": {
                          "type": "string",
                          "example": "America/New_York"
                        },
                        "country_code": {
                          "type": "string",
                          "example": "US"
                        }
                      }
                    },
                    "sources": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "status": {
                      "type": "string",
                      "example": "active"
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2017-08-05T01:01:49Z"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2017-08-05T01:01:49Z"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request\n"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"An error occurred and an error response has been sent with details.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "An error occurred and an error response has been sent with details."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request POST \\\n  --url 'https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users?token=6f46db36dd6543d2b82d91698fcd0896' \\\n  --header 'content-type: application/json' \\\n  --data '{  \n   \"uid\":\"277040620-wcwflair\",\n   \"location\":{  \n      \"timezone\":\"America/New_York\",\n      \"country_code\":\"US\"\n   }\n}'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users?token=6f46db36dd6543d2b82d91698fcd0896\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"content-type\"] = 'application/json'\nrequest.body = \"{  \\n   \\\"uid\\\":\\\"277040620-wcwflair\\\",\\n   \\\"location\\\":{  \\n      \\\"timezone\\\":\\\"America/New_York\\\",\\n      \\\"country_code\\\":\\\"US\\\"\\n   }\\n}\"\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users\"\n\nquerystring = {\"token\":\"6f46db36dd6543d2b82d91698fcd0896\"}\n\npayload = \"{  \\n   \\\"uid\\\":\\\"277040620-wcwflair\\\",\\n   \\\"location\\\":{  \\n      \\\"timezone\\\":\\\"America/New_York\\\",\\n      \\\"country_code\\\":\\\"US\\\"\\n   }\\n}\"\nheaders = {'content-type': 'application/json'}\n\nresponse = requests.request(\"POST\", url, data=payload, headers=headers, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"strings\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users?token=6f46db36dd6543d2b82d91698fcd0896\"\n\n\tpayload := strings.NewReader(\"{  \\n   \\\"uid\\\":\\\"277040620-wcwflair\\\",\\n   \\\"location\\\":{  \\n      \\\"timezone\\\":\\\"America/New_York\\\",\\n      \\\"country_code\\\":\\\"US\\\"\\n   }\\n}\")\n\n\treq, _ := http.NewRequest(\"POST\", url, payload)\n\n\treq.Header.Add(\"content-type\", \"application/json\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://api.v2.validic.com/organizations/597752338a5da500014a1f9a/users?token=6f46db36dd6543d2b82d91698fcd0896\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"POST\",\n  CURLOPT_POSTFIELDS => \"{  \\n   \\\"uid\\\":\\\"277040620-wcwflair\\\",\\n   \\\"location\\\":{  \\n      \\\"timezone\\\":\\\"America/New_York\\\",\\n      \\\"country_code\\\":\\\"US\\\"\\n   }\\n}\",\n  CURLOPT_HTTPHEADER => array(\n    \"content-type: application/json\"\n  ),\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "go",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```